*-----------------------------------------------------------------------
      SUBROUTINE SGLNXV(VX1,VY1,VX2,VY2,INDEX,ICOLOR)

      LOGICAL LFCATR

      CALL SWQFCC(LFCATR)
      IF(.NOT.LFCATR) THEN
        CALL MSGDMP('M','SGLNXV','FULL COLOR MODE IS NOT SUPPORTED.')
      END IF

      IF (INDEX.EQ.0) THEN
        CALL MSGDMP('M','SGLNXV','LINE INDEX IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.LT.0) THEN
        CALL MSGDMP('E','SGLNXV','LINE INDEX IS LESS THAN 0.')
      END IF

      CALL SWSFCM(.TRUE.)
      CALL SWSLCL(ICOLOR)

      CALL SZLNOP(INDEX)
      CALL SZLNZV(VX1,VY1,VX2,VY2)
      CALL SZLNCL

      CALL SWSFCM(.FALSE.)

      END
